<?php

global $user, $template, $lang, $conf, $im_priority;


if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

include_once(NBC_NEWSONINDEX_PATH.'include/constants.php');
include_once(NBC_NEWSONINDEX_PATH.'include/functions_news.inc.php');
include(get_language_filepath('plugin.lang.php', NBC_NEWSONINDEX_PATH));
  

$template->set_filenames(array('nbc_NewsOnIndex' => NBC_NEWSONINDEX_PATH.'template/nbc_NewsOnIndex.tpl'));


$user['forbidden_news'] = calculate_news_permissions($user['id']);

$query = '
  SELECT n.id AS new_id
    , n.date
    , n.author
  FROM '.NEWS_TABLE.' AS n
  WHERE n.id NOT IN ('.$user['forbidden_news'].')
  ORDER BY date DESC
  LIMIT '.$conf['nb_news_homepage'].'
  ;';
  
$result = pwg_query($query);

$template->assign_block_vars('news', array(
	'U_NEWS' => NBC_NEWSONINDEX_PATH.'news.php'
));

$start=0;
while ($row = mysql_fetch_array($result))
{
	$new_id = $row['new_id'];

	//get the news translation
	$query = '
	SELECT id AS news_translation_id,language,title,content
		FROM '.NEWS_TRANSLATION_TABLE.'
		WHERE new_id = '.$new_id.'
	';
	
	$no_news_translation=false;
	
	$subresult = pwg_query($query.'AND language = \''.$user['language'].'\';');
	$subrow = mysql_fetch_array($subresult);
		
	//there is a no translation for the user language
	if (empty($subrow))
	{
		$no_news_translation=true;
	
		//get the default translation	
		$subresult = pwg_query($query.'AND language = \''.$conf['language'].'\';');
		$subrow = mysql_fetch_array($subresult);
			
		//there is no translation for the default language
		if (empty($subrow))
		{
			//get the first translation			
			$subresult = pwg_query($query.'LIMIT 1;');
			$subrow = mysql_fetch_array($subresult);
		}		
	}

	$message=$subrow['content'];
 
  $read_more=(strlen($message)!=strlen($subrow['content']));

	$template->assign_block_vars(
		'news.a_news',
		array(
			'NEWS_AUTHOR'=>$row['author'],
			'NEWS_DATE'=>format_date($row['date'],'mysql_datetime',true),
			'TITLE'=>$subrow['title'],
			'CONTENT'=>$message
	));
	

	//there is no tranlstation for this news
	if ($no_news_translation)
	{
		$template->assign_block_vars('news.a_news.no_news_translation', array());
	}
	
	//news has been cuted
	if ($read_more)
	{
		$template->assign_block_vars(
			'news.a_news.read_more',
			array(
				'URL' => NBC_NEWSONINDEX_PATH.'news.php?nb_news_page=1&amp;start='.$start
			)
		);
	}
	$start++;
}


if (isset($im_priority))
{
  $insert_before = $im_priority['NewsOnIndex'] < $im_priority['Categories'] ? '<div class="titrePage">' : '</div> <!-- content -->';
}
else 
{
  $insert_before = $conf_nbc_NewsOnIndex[0] == 'on' ? '<div class="titrePage">' : '</div> <!-- content -->';
}

$template->loadfile('index');
$template->uncompiled_code['index'] = str_replace($insert_before, '{NEWSONINDEX_CONTENT}' . $insert_before, $template->uncompiled_code['index']);

$template->assign_var_from_handle('NEWSONINDEX_CONTENT', 'nbc_NewsOnIndex');

?>
